package com.yunzhi.niucai.controller;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yunzhi.niucai.common.BaseController;
import com.yunzhi.niucai.common.ResponseBean;
import com.yunzhi.niucai.entity.TaCustomer;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import com.yunzhi.niucai.service.ITaBettingPlanService;
import com.yunzhi.niucai.entity.TaBettingPlan;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;

/**
 * <p>
    * 投注方案 前端控制器
    * </p>
 *
 * @author yansen
 * @since 2020-09-08
 */

@Api(tags = "投注方案")
@RestController
@RequestMapping("/")
public class TaBettingPlanController extends BaseController {

    private final Logger logger = LoggerFactory.getLogger(TaBettingPlanController.class);

    @Autowired
    public ITaBettingPlanService iTaBettingPlanService;


//    /**
//     * 分页查询列表
//     * @param pageNum
//     * @param pageSize
//     * @return
//     */
//    @RequestMapping(value="/taBettingPlan",method= RequestMethod.GET)
//    @ApiOperation(value="列表", notes = "列表", httpMethod = "GET", response = ResponseBean.class)
//    public ResponseBean taBettingPlanList(@ApiParam("页码") @RequestParam(value ="pageNum",defaultValue = "1") Integer pageNum,
//									 @ApiParam("单页数据量") @RequestParam(value ="pageSize",defaultValue = "10") Integer pageSize) throws Exception{
//
//		    IPage<TaBettingPlan> pg = new Page<>(pageNum, pageSize);
//            QueryWrapper<TaBettingPlan> queryWrapper = new QueryWrapper<>();
//            queryWrapper.orderByDesc("create_date");
//
//            IPage<TaBettingPlan> result = iTaBettingPlanService.page(pg, queryWrapper);
//            return ResponseBean.success(result);
//    }

    /**
     * 彩票投注
     * @param taBettingPlan 实体对象
     * @return
     */
    @RequestMapping(value="/app/{lotteryId}/betting",method= RequestMethod.POST)
    @ApiOperation(value="彩票投注", notes = "彩票投注", httpMethod = "POST", response = ResponseBean.class)
    public ResponseBean taBettingPlanAdd(@ApiParam("彩种ID") @PathVariable String lotteryId,
                                         @ApiParam("保存内容") @RequestBody TaBettingPlan taBettingPlan,
                                         HttpServletRequest request) throws Exception{

        TaCustomer customer = getCustomer(request);
        if (null == customer) {
            return ResponseBean.error("验证当前人员失败, 请退出重试", ResponseBean.ERROR_MISSING_PARAMS);
        }

        // 使用路径中的彩种参数
        taBettingPlan.setLotteryId(lotteryId);

        if (iTaBettingPlanService.betting(taBettingPlan, customer)){
            return ResponseBean.success("投注成功");
        }else {
            return ResponseBean.error("保存失败, 请重试", ResponseBean.ERROR_UNAVAILABLE);
        }
    }

//    /**
//     * 根据id删除对象
//     * @param id  实体ID
//     */
//    @RequestMapping(value="/taBettingPlan/{id}", method= RequestMethod.DELETE)
//    @ApiOperation(value="删除", notes = "删除", httpMethod = "DELETE", response = ResponseBean.class)
//    public ResponseBean taBettingPlanDelete(@ApiParam("对象ID") @PathVariable Integer id) throws Exception{
//        if(iTaBettingPlanService.removeById(id)){
//            return ResponseBean.success("success");
//        }else {
//            return ResponseBean.error("删除失败, 请重试", ResponseBean.ERROR_UNAVAILABLE);
//        }
//    }
//
//    /**
//     * 修改对象
//     * @param id  实体ID
//     * @param taBettingPlan 实体对象
//     * @return
//     */
//    @RequestMapping(value="/taBettingPlan/{id}",method= RequestMethod.PUT)
//    @ApiOperation(value="更新", notes = "更新", httpMethod = "PUT", response = ResponseBean.class)
//    public ResponseBean taBettingPlanUpdate(@ApiParam("对象ID") @PathVariable Integer id,
//                                        @ApiParam("更新内容") @RequestBody TaBettingPlan taBettingPlan) throws Exception{
//
//        if (iTaBettingPlanService.updateById(taBettingPlan)){
//            return ResponseBean.success(iTaBettingPlanService.getById(id));
//        }else {
//            return ResponseBean.error("修改失败, 请重试", ResponseBean.ERROR_UNAVAILABLE);
//        }
//    }
//
//    /**
//     * 根据id查询对象
//     * @param id  实体ID
//     */
//    @RequestMapping(value="/taBettingPlan/{id}",method= RequestMethod.GET)
//    @ApiOperation(value="详情", notes = "详情", httpMethod = "GET", response = ResponseBean.class)
//    public ResponseBean taBettingPlanGet(@ApiParam("对象ID") @PathVariable Integer id) throws Exception{
//        return ResponseBean.success(iTaBettingPlanService.getById(id));
//    }
}
