package com.yunzhi.niucai.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 投注方案
 * </p>
 *
 * @author yansen
 * @since 2020-09-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaBettingPlan对象", description="投注方案")
public class TaBettingPlan implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "方案ID")
    @TableId(value = "plan_id", type = IdType.AUTO)
    private Integer planId;

    @ApiModelProperty(value = "投注人")
    private Integer customerId;

    @ApiModelProperty(value = "购买彩种")
    private String lotteryId;

    @ApiModelProperty(value = "彩种名称")
    private String lotteryName;

    @ApiModelProperty(value = "方案简介")
    private String summary;

    @ApiModelProperty(value = "方案别名")
    private String aliaTitle;

    @ApiModelProperty(value = "倍数")
    private Integer times;

    @ApiModelProperty(value = "是否数字彩")
    private Boolean isDigit;

    @ApiModelProperty(value = "是否体彩")
    private Boolean isSport;

    @ApiModelProperty(value = "过关")
    private String passCode;

    @ApiModelProperty(value = "过关名称")
    private String passName;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;

    @ApiModelProperty(value = "状态")
    private Integer status;


    @ApiModelProperty("总注数")
    @TableField(exist = false)
    private Integer notesNum;

    @ApiModelProperty("是否追加")
    @TableField(exist = false)
    private Boolean isAdd;

    @ApiModelProperty("投注金额: 单位分")
    @TableField(exist = false)
    private Integer totalPrice;

    @ApiModelProperty("预期收益: 单位分")
    @TableField(exist = false)
    private String expectedEarning;

    @ApiModelProperty("投注店铺")
    @TableField(exist = false)
    private Integer shopId;

    @ApiModelProperty("投注店铺名称")
    @TableField(exist = false)
    private String shopName;

    @ApiModelProperty("购彩期数")
    @TableField(exist = false)
    private String issueNo;

    @ApiModelProperty("投注人名称")
    @TableField(exist = false)
    private String customerName;

    @ApiModelProperty("方案明细")
    @TableField(exist = false)
    private List<TaBettingPlanItem> itemList;
}
