package com.yunzhi.niucai.entity;

import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.List;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 方案条目
 * </p>
 *
 * @author yansen
 * @since 2020-09-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaBettingPlanItem对象", description="方案条目")
public class TaBettingPlanItem implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "条目ID")
    @TableId(value = "item_no", type = IdType.AUTO)
    private Integer itemNo;

    @ApiModelProperty(value = "方案ID")
    private Integer planId;

    @ApiModelProperty(value = "方案简介")
    private String summary;

    @ApiModelProperty(value = "联赛")
    private Integer leagueId;

    @ApiModelProperty(value = "联赛名称")
    private String leagueName;

    @ApiModelProperty(value = "比赛ID")
    private Integer matchId;

    @ApiModelProperty(value = "赛事编号")
    private String matchWeek;

    @ApiModelProperty(value = "比赛日期")
    private String matchDate;

    @ApiModelProperty(value = "主队")
    private Integer homeTeamId;

    @ApiModelProperty(value = "主队名称")
    private String homeTeamName;

    @ApiModelProperty(value = "客队")
    private Integer awayTeamId;

    @ApiModelProperty(value = "客队名称")
    private String awayTeamName;

    @ApiModelProperty(value = "注数")
    private Integer amount;

    @ApiModelProperty(value = "数字彩玩法")
    private String playWay;

    @ApiModelProperty(value = "是否胆拖")
    private Boolean isDan;

    @ApiModelProperty(value = "是否复式")
    private Boolean isMulti;

    @ApiModelProperty(value = "前区号码,逗号连接")
    private String firstNums;

    @ApiModelProperty(value = "前区胆号,逗号连接")
    private String firstDan;

    @ApiModelProperty(value = "后区号码,逗号连接")
    private String secondNums;

    @ApiModelProperty(value = "后区胆号,逗号连接")
    private String secondDan;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value = "金额: 单位分")
    @TableField(exist = false)
    private Integer charges;

    @ApiModelProperty("体彩明细")
    @TableField(exist = false)
    private List<TaBettingPlanSportDetail> detailList;
}
