package com.yunzhi.niucai.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 客户
 * </p>
 *
 * @author yansen
 * @since 2020-08-28
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaCustomer implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 客户ID
     */
    @TableId(value = "customer_id", type = IdType.AUTO)
    private Integer customerId;

    /**
     * 昵称
     */
    private String name;

    /**
     * 头像
     */
    private String avatar;

    /**
     * 自我介绍
     */
    private String description;

    /**
     * 手机
     */
    private String phone;

    /**
     * 登录密码
     */
    private String loginPass;

    /**
     * 提现密码
     */
    private String cashPass;

    /**
     * 真实姓名
     */
    private String realName;

    /**
     * 身份证
     */
    private String idCard;

    /**
     * 邀请码
     */
    private String inviteCode;

    /**
     * 推荐店铺
     */
    private Integer recShop;

    /**
     * 推荐人
     */
    private Integer recPerson;

    /**
     * 推荐码
     */
    private String referralCode;

    /**
     * 粉丝数
     */
    private Integer fansNum;

    /**
     * 关注数
     */
    private Integer favorNum;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 推荐渠道
     */
    private Integer recChannel;


}
