package com.yunzhi.niucai.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.List;
import java.util.Map;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 比赛 
 * </p>
 *
 * @author yansen
 * @since 2020-09-02
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(description = "比赛")
public class TaMatch implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 比赛ID
     */
    @ApiModelProperty("比赛ID")
    @TableId(value = "match_id", type = IdType.AUTO)
    private Integer matchId;

    /**
     * 联赛
     */
    @ApiModelProperty("联赛ID")
    private Integer leagueId;

    /**
     * 联赛名称
     */
    @ApiModelProperty("联赛名称")
    private String leagueName;

    /**
     * 场次
     */
    @ApiModelProperty("场次编号")
    private String matchWeek;

    /**
     * 比赛日期
     */
    @ApiModelProperty("比赛日期")
    private String matchDate;

    /**
     * 比赛时间
     */
    @ApiModelProperty("比赛时间")
    private String matchTime;

    /**
     * 主队
     */
    @ApiModelProperty("主队ID")
    private Integer homeTeamId;

    /**
     * 主队名称
     */
    @ApiModelProperty("主队名称")
    private String homeTeamName;

    /**
     * 客队
     */
    @ApiModelProperty("客队ID")
    private Integer awayTeamId;

    /**
     * 客队名称
     */
    @ApiModelProperty("客队名称")
    private String awayTeamName;

    /**
     * 半场比分
     */
    @ApiModelProperty("半场比分")
    private String halfScore;

    /**
     * 全场比分
     */
    @ApiModelProperty("全场比分")
    private String wholeScore;

    /**
     * 胜分
     */
    @ApiModelProperty("胜分:主队-客队")
    private Integer diffScore;

    /**
     * 让分
     */
    @ApiModelProperty("让分")
    private Integer spreadPoints;

    /**
     * 预设分
     */
    @ApiModelProperty("篮球:预设分")
    private Integer presetPoints;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 状态
     */
    @ApiModelProperty("状态: 0在售, 1比赛进行中, 2比赛结束, 3无效比赛, 4比赛取消")
    private Integer status;

    /**
     * 彩种
     */
    @ApiModelProperty("彩种")
    private String lotteryId;

    @ApiModelProperty("开奖状态 0未处理,1处理中,2已结束")
    private Integer openingStatus;

    /**
     * 赔率
     */
    @ApiModelProperty("赔率")
    @TableField(exist = false)
    private Map<String, List<Map<String, Object>>> playOdds;

    @ApiModelProperty("玩法")
    @TableField(exist = false)
    private Map<String, TaMatchWay> matchWay;
}
