package com.yunzhi.niucai.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 门店应用表 
 * </p>
 *
 * @author yansen
 * @since 2020-09-23
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaShopApp对象", description="门店应用表 ")
public class TaShopApp implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "门店应用主键")
    @TableId(value = "shop_app_id", type = IdType.AUTO)
    private Integer shopAppId;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;

    @ApiModelProperty(value = "状态")
    private Boolean status;

    @ApiModelProperty(value = "店铺ID")
    private Integer shopId;

    @ApiModelProperty(value = "支付宝应用id")
    private String appid;

    @ApiModelProperty(value = "私钥")
    private String merchantPrivateKey;

    @ApiModelProperty(value = "支付宝公钥")
    private String alipayPublicKey;

    @ApiModelProperty(value = "渠道")
    private String channel;

    @ApiModelProperty(value = "支付宝应用token")
    private String appAuthToken;

    @ApiModelProperty(value = "支付宝应用刷新token")
    private String appRefreshToken;

    @ApiModelProperty(value = "支付宝应用刷新token最后使用时间")
    private LocalDateTime updateTokenDate;
}
