package com.yunzhi.niucai.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 联赛字典
 * </p>
 *
 * @author yansen
 * @since 2020-09-02
 */
@ApiModel(description = "联赛字典")
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TdLeague implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 联赛ID
     */
    @ApiModelProperty("联赛ID")
    @TableId(value = "league_id", type = IdType.AUTO)
    private Integer leagueId;

    /**
     * 名称
     */
    @ApiModelProperty("名称")
    private String name;

    /**
     * 别名
     */
    @ApiModelProperty("别名")
    private String aliaName;

    /**
     * 图标
     */
    @ApiModelProperty("图标")
    private String icon;

    /**
     * 简介
     */
    @ApiModelProperty("简介")
    private String description;

    /**
     * 类型 football足球,basketball篮球
     */
    @ApiModelProperty("类型 football足球,basketball篮球")
    private String leagueType;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 状态
     */
    @ApiModelProperty("状态")
    private Integer status;

    /**
     * 简称
     */
    @ApiModelProperty("简称")
    private String shortName;

    /**
     * 英文名称
     */
    @ApiModelProperty("英文名称")
    private String englishName;


}
