package com.yunzhi.niucai.entity;

import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.List;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 彩种
 * </p>
 *
 * @author yansen
 * @since 2020-08-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TdLottery implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 彩种ID
     */
    @TableId(value = "lottery_id", type = IdType.INPUT)
    private String lotteryId;

    /**
     * 名称
     */
    private String name;

    /**
     * 别名
     */
    private String aliaName;

    /**
     * 简介
     */
    private String description;

    /**
     * 图标
     */
    private String icon;

    /**
     * 类型
     */
    private String lotteryType;

    /**
     * 所属地
     */
    private String areaId;

    /**
     * 前区数字范围 0,32代表最小值等于0,最大值等于32
     */
    private String firstRange;

    /**
     * 后区数字范围 0,16代表最小值等于0,最大值等于16
     */
    private String secondRange;

    /**
     * 数字区是否重复
     */
    private Boolean isRepeat;

    /**
     * 前区数字个数
     */
    private Integer firstNums;

    /**
     * 后区数字个数
     */
    private Integer secondNums;

    /**
     * 是否地方彩
     */
    private Boolean isLocal;

    /**
     * 是否高频彩
     */
    private Boolean isHigh;

    /**
     * 是否足彩
     */
    private Boolean isFootball;

    /**
     * 是否篮彩
     */
    private Boolean isBasketball;

    /**
     * 是否竞彩
     */
    private Boolean isSport;

    /**
     * 是否数字彩
     */
    private Boolean isDigit;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 排序
     */
    private Integer sortNo;

    /**
     * 单注金额：单位分
     */
    private Integer unitPrice;

    /**
     * 允许追加
     */
    private Boolean isAdd;

    /**
     * 单注追加金额
     */
    private Integer unitAddPrice;

    /**
     * 单票倍数限制
     */
    private Integer maxTimes;

    /**
     * 单票金额限制
     */
    private Integer maxPrice;

    /**
     * 单票基本及追加限制
     */
    private Integer maxAddPrice;

    /**
     * 中奖设置
     */
    @TableField(exist = false)
    private List<TdLotteryPrize> prizeSettingList;

    /**
     * 开奖, 售奖设置
     */
    @TableField(exist = false)
    private List<TdLotteryOnSale> onSaleSettings;
}
