package com.yunzhi.niucai.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 彩种销售时间
 * </p>
 *
 * @author yansen
 * @since 2020-09-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TdLotteryOnSale对象", description="彩种销售时间")
public class TdLotteryOnSale implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "序号")
    @TableId(value = "serial_no", type = IdType.AUTO)
    private Integer serialNo;

    @ApiModelProperty(value = "彩种")
    private String lotteryId;

    @ApiModelProperty(value = "周几")
    private Integer weekDay;

    @ApiModelProperty(value = "开奖时间")
    private String lotteryTime;

    @ApiModelProperty(value = "开售时间")
    private String openingTime;

    @ApiModelProperty(value = "停售时间")
    private String closingTime;

    @ApiModelProperty(value = "固定频率 单位分.-1代表没有固定频率")
    private Integer scheduleFreq;

    @ApiModelProperty(value = "下次开奖")
    private Integer nextWeekDay;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;

    @ApiModelProperty(value = "状态")
    private Boolean status;


}
