package com.yunzhi.niucai.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 彩种中奖设置 
 * </p>
 *
 * @author yansen
 * @since 2020-09-07
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TdLotteryPrize对象", description="彩种中奖设置 ")
public class TdLotteryPrize implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "序号")
    @TableId(value = "serial_no", type = IdType.AUTO)
    private Integer serialNo;

    @ApiModelProperty(value = "彩种")
    private String lotteryId;

    @ApiModelProperty(value = "等级")
    private String level;

    @ApiModelProperty(value = "玩法")
    private String playWay;

    @ApiModelProperty(value = "数字彩中奖规则")
    private String bingoRule;

    @ApiModelProperty(value = "场次")
    private Boolean round;

    @ApiModelProperty(value = "奖金 单位分")
    private Integer moneyAward;

    @ApiModelProperty(value = "是否动态计算奖金")
    private Boolean isDynamic;

    @ApiModelProperty(value = "计算公式")
    private String calcFormula;

    @ApiModelProperty(value = "是否按玩法计算")
    private Boolean isByWay;

    @ApiModelProperty(value = "是否按场次")
    private Boolean isByRound;

    @ApiModelProperty(value = "单注限额 单位分")
    private Integer maxPrice;

    @ApiModelProperty(value = "追加单注限额 单位分")
    private Integer maxAddPrice;

    @ApiModelProperty(value = "状态")
    private Integer status;


}
