package com.yunzhi.niucai.entity;

import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.List;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 玩法
 * </p>
 *
 * @author yansen
 * @since 2020-09-02
 */
@ApiModel(description = "玩法字典")
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TdPlayWay implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 玩法编码 硬编码,不能修改
     */
    @ApiModelProperty("玩法编码")
    @TableId(value = "way_code", type = IdType.INPUT)
    private String wayCode;

    /**
     * 玩法名称
     */
    @ApiModelProperty("玩法名称")
    private String name;

    /**
     * 所属彩种
     */
    @ApiModelProperty("所属彩种")
    private String lotteryId;

    /**
     * 玩法简介
     */
    @ApiModelProperty("玩法简介")
    private String summary;

    /**
     * 玩法介绍
     */
    @ApiModelProperty("玩法介绍")
    private String description;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 赛制
     */
    @ApiModelProperty("赛制")
    @TableField(exist = false)
    private List<TdSportRules> rules;
}
