package com.yunzhi.niucai.entity;

import java.time.LocalDateTime;
import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 竞彩赛制
 * </p>
 *
 * @author yansen
 * @since 2020-09-02
 */
@ApiModel(description = "竞彩赛制")
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TdSportRules implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 编码
     */
    @ApiModelProperty("编码")
    @TableId(value = "rule_code", type = IdType.INPUT)
    private String ruleCode;

    /**
     * 名称
     */
    @ApiModelProperty("名称")
    private String name;

    /**
     * 玩法 来源td_play_way
     */
    @ApiModelProperty("玩法")
    private String wayCode;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 排序
     */
    private Integer sortNo;


}
