package com.yunzhi.niucai.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.yunzhi.niucai.entity.TaLotteryResult;
import com.yunzhi.niucai.entity.TaLotteryResultDetail;
import com.yunzhi.niucai.enums.StatusEnum;
import com.yunzhi.niucai.mapper.TaLotteryResultDetailMapper;
import com.yunzhi.niucai.service.ITaLotteryResultDetailService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 数字彩开奖明细  服务实现类
 * </p>
 *
 * @author yansen
 * @since 2020-09-14
 */
@Service
public class TaLotteryResultDetailServiceImpl extends ServiceImpl<TaLotteryResultDetailMapper, TaLotteryResultDetail> implements ITaLotteryResultDetailService {

    @Override
    public List<TaLotteryResultDetail> getListBy(TaLotteryResult taLotteryResult) throws Exception {
        QueryWrapper<TaLotteryResultDetail> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("result_no", taLotteryResult.getSerialNo());
        queryWrapper.eq("status", StatusEnum.NORMAL.getCode());
        queryWrapper.orderByDesc("serial_no");

        return list(queryWrapper);
    }
}
