package com.yunzhi.niucai.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.yunzhi.niucai.entity.TdPlayWay;
import com.yunzhi.niucai.enums.StatusEnum;
import com.yunzhi.niucai.mapper.TdPlayWayMapper;
import com.yunzhi.niucai.service.ITdPlayWayService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yunzhi.niucai.service.ITdSportRulesService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 玩法 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2020-09-02
 */
@Service
public class TdPlayWayServiceImpl extends ServiceImpl<TdPlayWayMapper, TdPlayWay> implements ITdPlayWayService {

    @Autowired
    ITdSportRulesService iTdSportRulesService;

    @Override
    public List<TdPlayWay> getAllAvaliable(String lottery) throws Exception {
        QueryWrapper<TdPlayWay> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("lottery_id", lottery);
        queryWrapper.eq("status", StatusEnum.NORMAL.getCode());
        queryWrapper.orderByDesc("create_date");

        List<TdPlayWay> playWayList = list(queryWrapper);
        if (null != playWayList) {
            for (TdPlayWay playWay : playWayList) {
                playWay.setRules(iTdSportRulesService.getAllAvaliable(playWay.getWayCode()));
            }
        }

        return playWayList;
    }
}
