package com.yunzhi.niucai.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.yunzhi.niucai.entity.TdTeam;
import com.yunzhi.niucai.enums.StatusEnum;
import com.yunzhi.niucai.mapper.TdTeamMapper;
import com.yunzhi.niucai.service.ITdTeamService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 球队 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2020-09-02
 */
@Service
public class TdTeamServiceImpl extends ServiceImpl<TdTeamMapper, TdTeam> implements ITdTeamService {

    @Override
    public List<TdTeam> getAllAvaliable(String lottery) throws Exception {
        QueryWrapper<TdTeam> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("team_type", lottery);
        queryWrapper.eq("status", StatusEnum.NORMAL.getCode());
        queryWrapper.orderByDesc("create_date");

        return list(queryWrapper);
    }
}
